public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
From: Tom de Vries <tdevries@suse.de>
To: dwz@sourceware.org, jakub@redhat.com, mark@klomp.org
Subject: [committed][testsuite] Show error output in twice-multifile.sh
Date: Wed, 24 Mar 2021 10:10:29 +0100	[thread overview]
Message-ID: <20210324091028.GA31916@delia> (raw)

Hi,

When building dwz with -fsanitize=address, we get:
...
$ make check RUNTESTFLAGS=dwz-tests.exp=twice-multifile.sh
Running src/testsuite/dwz.tests/dwz-tests.exp ...
child process exited abnormally
FAIL: src/testsuite/dwz.tests/twice-multifile.sh
...

The test-case fails because "dwz -m 3 1 2" returns 1, but we don't see
why because the error output is redirected to dwz.err.

Fix this by dumping dwz.err if "dwz -m 3 1 2" status is not zero.

Committed to trunk.

Thanks,
- Tom

[testsuite] Show error output in twice-multifile.sh

2021-03-24  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/twice-multifile.sh: Dump dwz.err if dwz status
        is not 0.

---
 testsuite/dwz.tests/twice-multifile.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/testsuite/dwz.tests/twice-multifile.sh b/testsuite/dwz.tests/twice-multifile.sh
index 8a66e25..1ff0166 100644
--- a/testsuite/dwz.tests/twice-multifile.sh
+++ b/testsuite/dwz.tests/twice-multifile.sh
@@ -24,7 +24,10 @@ if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
     exit 1
 fi
 
-[ $status -eq 0 ]
+if [ $status -ne 0 ]; then
+    cat dwz.err
+    exit 1
+fi
 
 smaller-than.sh 1 1.saved
 

                 reply	other threads:[~2021-03-24  9:10 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210324091028.GA31916@delia \
    --to=tdevries@suse.de \
    --cc=dwz@sourceware.org \
    --cc=jakub@redhat.com \
    --cc=mark@klomp.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).